Skip to main content
GET
/
v1
/
chains
/
{chain_name}
/
collections
/
{contract_address}
/
nfts
/
{token_id}
Get NFT by token ID
curl --request GET \
  --url https://api.sandbox.immutable.com/v1/chains/{chain_name}/collections/{contract_address}/nfts/{token_id}
import requests

url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/collections/{contract_address}/nfts/{token_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/collections/{contract_address}/nfts/{token_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "result": {
    "chain": {
      "id": "eip155:13372",
      "name": "imtbl-zkevm-testnet"
    },
    "token_id": "1",
    "contract_address": "0x8a90cab2b38dba80c64b7734e58ee1db38b8992e",
    "indexed_at": "2022-08-16T17:43:26.991388Z",
    "updated_at": "2022-08-16T17:43:26.991388Z",
    "metadata_synced_at": "2022-08-16T17:43:26.991388Z",
    "name": "Sword",
    "description": "2022-08-16T17:43:26.991388Z",
    "image": "https://some-url",
    "external_link": "https://some-url",
    "external_url": "https://some-url",
    "animation_url": "https://some-url",
    "youtube_url": "https://some-url",
    "attributes": [
      {
        "trait_type": "Aqua Power",
        "value": "Happy",
        "display_type": "number"
      }
    ],
    "metadata_id": "ae83bc80-4dd5-11ee-be56-0242ac120002",
    "total_supply": "100"
  }
}
{
  "message": "all fields must be provided",
  "link": "https://docs.x.immutable.com/reference/#/",
  "trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
  "code": "VALIDATION_ERROR",
  "details": {}
}
{
  "message": "all fields must be provided",
  "link": "https://docs.x.immutable.com/reference/#/",
  "trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
  "code": "RESOURCE_NOT_FOUND",
  "details": {}
}
{
  "message": "all fields must be provided",
  "link": "https://docs.x.immutable.com/reference/#/",
  "trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
  "code": "INTERNAL_SERVER_ERROR",
  "details": {}
}

Path Parameters

contract_address
string
required

The address of NFT contract

token_id
string
required

An uint256 token id as string

chain_name
string
required

The name of chain

Example:

"imtbl-zkevm-testnet"

Response

200 response

Single NFT

result
object
required